Bug Hunting Session
Bug 44925 - list box contents should be same direction/alignment as sheet, not the interface
Summary: list box contents should be same direction/alignment as sheet, not the interface
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 Beta3
Hardware: Other All
: medium normal
Assignee: mAlhassoun
URL:
Whiteboard: target:3.7.0 target:3.6.4
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2012-01-19 00:39 UTC by Lior Kaplan
Modified: 2012-10-18 13:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
list boxes in RTL UI (153.58 KB, image/png)
2012-01-19 00:39 UTC, Lior Kaplan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lior Kaplan 2012-01-19 00:39:37 UTC
Created attachment 55764 [details]
list boxes in RTL UI

For left to right UI we have this logic:
The text in th list box (e.g. selection list) is aligned to the same side as the sheet (LTR sheet to the left, RTL sheets to the right).

For right to left UI this logic is reversed (see attached screenshot), so the in LTR sheet the text is aligned to the right, and the in RTL sheet the text is align to the left.

The behavior should be the same for both LTR and RTL UIs, as the alignment should be calculated by the sheet's directionality, not the UI's.
Comment 1 Not Assigned 2012-09-10 22:25:40 UTC
Manal Alhassoun committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78414991b20d0eac6703e8e3c3e429b747891367

Resolves: fdo#44925 list box contents should be same direction as sheet



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Lior Kaplan 2012-10-18 11:13:58 UTC
Vrified in LibO master build (5ad86ef) on Debian 64bit.

I'll try to cherry pick this fix for 3.6 branch.
Comment 3 Not Assigned 2012-10-18 13:23:38 UTC
Manal Alhassoun committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d26c5e194cceb8a8fcc0878217b07faff1cf8d5&g=libreoffice-3-6

Resolves: fdo#44925 list box contents should be same direction as sheet


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.